@import "../../BasicStyle/mixins";

.left-sidebar {
  padding: 0 15px 15px;
  @include light-transition(all, .3s);

  &.md-layout-item.md-size-5 {
    min-width: 95px;
  }

  &-b {
    padding: 0 13px 15px;

    &.container {
      background: rgba(0, 0, 0, .8);
      -webkit-border-radius: 3px;
      -moz-border-radius: 3px;
      border-radius: 3px;
      height: 100%;
      padding-top: 15px;
      position: relative;

      .left-sidebar-b__title {
        color: #000;
        position: absolute;
        top: -18px;
        width: 130px;
        left: -14px;
        padding: 0;

        @include light-transition(all, .3s);
      }

      .md-list-item {
        margin-bottom: 10px;
      }

      .md-list-item-content {
        padding: 4px 5px;

        .item-list-icon {
          width: 30px;
          margin-right: 15px;
        }

        .md-list-item-text {
          color: #ffffff;
        }

        .md-list-expand-icon {
          svg path:first-child {
            fill: #fff;
          }
        }
      }

      .toggle-panel-button {
        position: absolute;
        width: 24px;
        height: 24px;
        bottom: 10px;
        left: 50%;
        -webkit-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
        transform: translate(-50%, 0);

        i {
          color: #ffffff;
          font-size: 35px !important;
        }
      }
    }
  }

  &.open {

    .left-sidebar-b {
      padding: 0 15px 15px;

      & > .md-list {
        overflow-y: scroll;
        height: calc(100% - 60px);
      }
    }

    .left-sidebar-b__title {
      position: static;
      color: #ffffff;
      text-align: center;
      width: auto;
      padding: 5px 0;
    }

    .toggle-panel-button {
      left: 30px;
      -webkit-transform: translate(0, 0);
      -moz-transform: translate(0, 0);
      -ms-transform: translate(0, 0);
      -o-transform: translate(0, 0);
      transform: translate(0, 0);
    }
  }
}
